Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ssi
Class SSIServletRequestUtil

    java.lang.Object
      org.apache.catalina.ssi.SSIServletRequestUtil

public class SSIServletRequestUtil
extends java.lang.Object

Constructor Summary
`SSIServletRequestUtil()`

Method Summary
`static java.lang.String` | `getRelativePath(javax.servlet.http.HttpServletRequest request)` Return the relative path associated with this servlet.
`static java.lang.String` | `normalize(java.lang.String path)` Return a context-relative path, beginning with a "/", that represents the canonical version of the specified path after ".." and "." elements are resolved out.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSIServletRequestUtil

    public SSIServletRequestUtil()

Method Detail

### getRelativePath

    public static java.lang.String getRelativePath(javax.servlet.http.HttpServletRequest request)

  Return the relative path associated with this servlet. Taken from DefaultServlet.java. Perhaps this should be put in org.apache.catalina.util somewhere? Seems like it would be widely used.

  Parameters:
    `request` - The servlet request we are processing

### normalize

    public static java.lang.String normalize(java.lang.String path)

  Return a context-relative path, beginning with a "/", that represents the canonical version of the specified path after ".." and "." elements are resolved out. If the specified path attempts to go outside the boundaries of the current context (i.e. too many ".." path elements are present), return `null` instead. This normalize should be the same as DefaultServlet.normalize, which is almost the same ( see source code below ) as RequestUtil.normalize. Do we need all this duplication?

  Parameters:
    `path` - Path to be normalized

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.